> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Snapshot File of All BINs



## OpenAPI

````yaml GET /batch/files
openapi: 3.0.1
info:
  title: Parrot API
  version: parrot-api
servers:
  - url: https://parrot.sandbox.pagosapi.com
  - url: https://parrot.prod.pagosapi.com
security:
  - bearerAuth: []
paths:
  /batch/files:
    get:
      tags:
        - Parrot API v3
      summary: Get a snapshot csv file of all BINs
      responses:
        '200':
          description: List of files with download urls
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SnapshotDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SnapshotDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SnapshotDto'
        '403':
          description: Client not enrolled in Parrot Batch
components:
  schemas:
    SnapshotDto:
      type: object
      properties:
        type:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        changes:
          $ref: '#/components/schemas/SnapshotComparisonDto'
      additionalProperties: false
    SnapshotComparisonDto:
      type: object
      properties:
        bins_removed:
          type: integer
          format: int32
        bins_updated:
          type: integer
          format: int32
        bins_added:
          type: integer
          format: int32
        last_update_date:
          type: string
          nullable: true
        sources:
          type: array
          items:
            $ref: '#/components/schemas/SnapshotComparisonNetworkDto'
          nullable: true
      additionalProperties: false
    SnapshotComparisonNetworkDto:
      type: object
      properties:
        bins_total:
          type: integer
          format: int32
        source:
          type: string
          nullable: true
        changes:
          $ref: '#/components/schemas/SnapshotComparisonNetworkChangesDto'
      additionalProperties: false
    SnapshotComparisonNetworkChangesDto:
      type: object
      properties:
        percentage:
          type: string
          nullable: true
        removed:
          type: integer
          format: int32
        updated:
          type: integer
          format: int32
        added:
          type: integer
          format: int32
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Format is: `Bearer <api_key>`, where `<api_key>` is your Pagos API key'

````